<?php
/*
 * WEATHER SETUP PAGE - creates the table(s) to use with Waggies Weather.
 * Copyright for this package of code: https://waggies.net/ws/copyright.txt.
 */

$forReal = 0;

include "../classes/Db.php";

include 'weatherPost.php';
//$data = $_POST;

?>
<!DOCTYPE html>
<html>
<head>
<title>SETUP</title>
</head>
<body>

<h1>Setup...</h1>
<p>This will attempt to create a table for use with a weatherstation.</p>
<p>forReal = <?=$forReal?></p>
<p>Data =<br><?php print_r($data);?></p>
<?php
$cfg = new WsConfig();

// get the DB connection
if ($forReal) {
    $db = new Db();
    print('<p>Have a DB connection.</p>');
} else {
	$db = array();
}

// drop the old table
if ($forReal) {
    $cfg->dbtablename = $cfg->dbtablenames[0];
    $result = $db->dropTable($cfg);
    // 1 = success, blank = failure
    print "<p>drop result 0 = '$result'</p>";

    $cfg->dbtablename = $cfg->dbtablenames[1];
    $result = $db->dropTable($cfg);
    // 1 = success, blank = failure
    print "<p>drop result 1 = '$result'</p>";
}

if (!$forReal) {
    // init the statement, including a datestamp and valid flag
    $stmt = "CREATE TABLE $cfg->dbtablename (id INT NOT NULL AUTO_INCREMENT";

    // compose the list of columns, all text type
    $insert = '';
    $vals = '';
    foreach ($data as $key => $item) {
        $stmt .= "$key text,";
        $insert .= "$key,";
        $vals .= "$item,";
    }
    //$stmt = rtrim($stmt, ',');
    $insert = rtrim($insert, ',');
    $svals = rtrim($vals, ',');

    $stmt .= 'PRIMARY KEY (id)';
    $stmt .= ')';

    print "<p>create stmt: $stmt</p>";
}

if ($forReal) {
    $cfg->dbtablename = $cfg->dbtablenames[0];
    $result = $db->createTable($cfg, $data, !$forReal);
    print "<br>creation result 0: '$result'<br>";

    $cfg->dbtablename = $cfg->dbtablenames[1];
    $result = $db->createTable($cfg, $data, !$forReal);
    print "<br>creation result 1: '$result'<br>";
}

exit;

// try an insertion

$currentTimezone = date_default_timezone_get();
print "<br>currentTimezone = $currentTimezone<br>";

date_default_timezone_set('Australia/Adelaide');
$currentTimezone = date_default_timezone_get();
print "new timezone = $currentTimezone<br>";

$timestamp = strftime('%G-%m-%d %H:%M:%S');
print "timestamp = $timestamp<br>";

// 1st insert setup
$cfg->dbtablename = $cfg->dbtablenames[0];
$insert = "INSERT INTO $cfg->dbtablename(timestamp,";
$vals = ") VALUES('$timestamp',";
foreach ($data as $key => $val) {
    $insert .= "$key,";
    $vals .= "'$val',";
}
$insert = rtrim($insert, ',');
$vals = rtrim($vals, ',');
$vals .= ')';
//$stmt0 = $insert . $vals;
$stmt0 = $insert . ')';

print "<br>insert stmt 0: $stmt0<br>";

if ($forReal) {
    $cfg->dbtablename = $cfg->dbtablenames[0];
    $result = $db->exec($stmt0);
    // 1 = success, blank = failure
    print "<br>insertion 0 result = '$result'<br>";
}

// 2nd insert setup
$cfg->dbtablename = $cfg->dbtablenames[1];
$insert = "INSERT INTO $cfg->dbtablename(timestamp,";
$vals = ") VALUES('$timestamp',";
$data['name'] = 'Pete';
$data['tempIn'] = 15;
$data['tempOut'] = 10;
foreach ($data as $key => $val) {
    $insert .= "$key,";
    $vals .= "'$val',";
}
$insert = rtrim($insert, ',');
$vals = rtrim($vals, ',');
$vals .= ')';
//$stmt1 = $insert . $vals;
$stmt1 = $insert . ')';

print "<br>insert stmt 1: $stmt1<br>";

if ($forReal) {
    // do it again
    $cfg->dbtablename = $cfg->dbtablenames[1];
    $result = $db->exec($stmt1);
    // 1 = success, blank = failure
    print "<br>insertion 1 result = '$result'<br>";
}


// if ($forReal) {
//     $result = $db->exec($stmt);
//     // 1 = success, blank = failure
//     print "<br>update result = '$result'<br>";
// }

?>
<br>
</body>
</html>
